NICI Segmentation fault error installing the Novell Access Manager Administration Console or Identity Server on an AMD Quad-core processor

  • 7001331
  • 10-Sep-2008
  • 26-Apr-2012

Environment


Novell Access Management 3 Linux Novell Identity Server
Novell Access Management 3 Administration Console

Situation

When installing the Administration Console and Identity Server on an AMD Quad-core processor, the install fails with the following error visible in the install log:

Initializing NICI ... /var/tmp/rpm-tmp.27348: line 23:  4029 Segmentation fault      /var/opt/novell/nici/primenici
error: %post(nici-2.7.3-0.01.i386) scriptlet failed, exit status 139

Issue has also been seen after moving a VMWare image over to a new hardware running a AMD Quade Core processor.   Trying to run ndsd, ndsconfig all generate a core and seg fault error.

Resolution

This is related to the problem described in TID7000979 - NICI segfault when installing eDirectory 8.8.2 on an AMD Quad-core processor.

The fix for this issue can be found in Novell Access Manager Service Pack 4.  Download and extract the AM_304_SP4_lagrpms.tar.gz archive from the Novell Download site and locate the following file:
./lagrpms/unsupported/nici-2.7.4-0.02.i386.rpm
Copy all install files from the Admin Console/Identity Server install media to the hard drive.  Replace the following files with the newer nici rpm:
./crypto/nici-2.7.3-0.01.i386.rpm
./edir/setup/nici-2.7.3-0.01.i386.rpm
./iman/installs/linux/packages/edir/rpms/nici-2.6.8-0.02.i386.rpm
Be sure to remove the old nici rpm from these directories.  Re-run the install script and it should no longer fail due to this NICI error.

Feedback service temporarily unavailable. For content questions or problems, please contact Support.